Package org.apache.felix.http.base.internal.handler

# Class PreprocessorHandler

java.lang.Object
org.apache.felix.http.base.internal.handler.PreprocessorHandler

All Implemented Interfaces:
  `Comparable<PreprocessorHandler>`

public class PreprocessorHandler extends Object implements Comparable<PreprocessorHandler>
The preprocessor handler handles the initialization and destruction of preprocessor objects.

## Constructor Summary

Constructors
Constructor
Description
`PreprocessorHandler(org.osgi.framework.BundleContext bundleContext, jakarta.servlet.ServletContext context, PreprocessorInfo info)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PreprocessorHandler other)`
`boolean`
`destroy()`
`boolean`
`dispose()`
`boolean`
`equals(Object obj)`
`jakarta.servlet.ServletContext`
`getContext()`
`PreprocessorInfo`
`getPreprocessorInfo()`
`void`
`handle(@NotNull jakarta.servlet.ServletRequest req, @NotNull jakarta.servlet.ServletResponse res, @NotNull jakarta.servlet.FilterChain chain)`
`int`
`hashCode()`
`int`
`init()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreprocessorHandler

public PreprocessorHandler(org.osgi.framework.BundleContext bundleContext, jakarta.servlet.ServletContext context, PreprocessorInfo info)

## Method Details

### compareTo

public int compareTo(PreprocessorHandler other)

Specified by:
  `compareTo` in interface `Comparable<PreprocessorHandler>`

### getContext

public jakarta.servlet.ServletContext getContext()

### getPreprocessorInfo

public PreprocessorInfo getPreprocessorInfo()

### init

public int init()

### destroy

public boolean destroy()

### handle

public void handle(@NotNull @NotNull jakarta.servlet.ServletRequest req, @NotNull @NotNull jakarta.servlet.ServletResponse res, @NotNull @NotNull jakarta.servlet.FilterChain chain) throws jakarta.servlet.ServletException, IOException

Throws:
  `jakarta.servlet.ServletException`
  `IOException`

### dispose

public boolean dispose()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`